Subject: Re: bug#43418: ffprobe/avprobe and ffmpeg/avconv should be added as dependencies of youtube-dl so it will function correctly

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 16 Sep 2020 10:58:14 +0200

Leo, Mark,

Mark H Weaver 写道：
> Leo Famulari <[email-masked]> writes:
>
>> On Tue, Sep 15, 2020 at 02:06:11PM +0200, Tobias Geerinckx-Rice 
>> via Bug reports for GNU Guix wrote:
>>> Matters would be different if the error message were less 
>>> clear, or perhaps
>>> if ffmpeg weren't so insanely great:
>>> 
>>>  λ guix size youtube-dl | tail -n1
>>>  total: 186.9 MiB
>>>  λ guix size youtube-dl ffmpeg | tail -n1
>>>  total: 811.2 MiB
>>
>> I wonder, should we expect FFmpeg to already be referenced by 
>> somebody's
>> profile if they are using youtube-dl? VLC and mpv both depend 
>> on FFmpeg.
>> The use case of "download video and watch it on another machine 
>> (or
>> never watch it)" seems somewhat esoteric.

I don't see why my use case should be sidelined as ‘esoteric’. 
;-)

> However, in my recent experience, youtube usually provides the
> freedom-respecting formats only as separate audio and video 
> streams
> which must be recombined by youtube-dl, and in that case the 
> 'ffmpeg'
> command line tool seems to be required.

This is a good argument.  If including ffmpeg by default makes it 
easier to request & mux freeër formats, let's do that.

> I see two possible approaches: ffmpeg could be added to 
> youtube-dl's
> propagated-inputs, or it could be instead be added to 'inputs', 
> and we
> could substitute hardcoded paths to 'ffmpeg' in the built 
> 'youtube-dl'.
> I generally tend to favor the latter approach, but there are 
> valid
> arguments for each approach and I don't feel strongly about it.

Which advantages does the former have?  I wasn't aware of any.

Thanks!

T G-R